Debian Bug report logs - #467661
libaudio-scrobbler-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libaudio-scrobbler-perl; Maintainer for libaudio-scrobbler-perl is Michael Ablassmeier <abi@debian.org>; Source for libaudio-scrobbler-perl is src:libaudio-scrobbler-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:12:08 UTC

Severity: important

Tags: patch

Found in version libaudio-scrobbler-perl/0.01-2

Fixed in version libaudio-scrobbler-perl/0.01-2.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Michael Ablassmeier <abi@debian.org>:
Bug#467661; Package libaudio-scrobbler-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Ablassmeier <abi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libaudio-scrobbler-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:10 +0200
Package: libaudio-scrobbler-perl
Version: 0.01-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Ablassmeier <abi@debian.org>:
Bug#467661; Package libaudio-scrobbler-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Ablassmeier <abi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467661@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467661@bugs.debian.org
Subject: libaudio-scrobbler-perl: diff for NMU version 0.01-2.1
Date: Sat, 5 Apr 2008 12:40:17 +0100
[Message part 1 (text/plain, inline)]
tags 467661 + patch
thanks

Hi,

Attached is the diff for my libaudio-scrobbler-perl 0.01-2.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libaudio-scrobbler-perl-0.01-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:42:08 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467661-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467661-close@bugs.debian.org
Subject: Bug#467661: fixed in libaudio-scrobbler-perl 0.01-2.1
Date: Sat, 05 Apr 2008 11:47:10 +0000
Source: libaudio-scrobbler-perl
Source-Version: 0.01-2.1

We believe that the bug you reported is fixed in the latest version of
libaudio-scrobbler-perl, which is due to be installed in the Debian FTP archive:

libaudio-scrobbler-perl_0.01-2.1.diff.gz
  to pool/main/liba/libaudio-scrobbler-perl/libaudio-scrobbler-perl_0.01-2.1.diff.gz
libaudio-scrobbler-perl_0.01-2.1.dsc
  to pool/main/liba/libaudio-scrobbler-perl/libaudio-scrobbler-perl_0.01-2.1.dsc
libaudio-scrobbler-perl_0.01-2.1_all.deb
  to pool/main/liba/libaudio-scrobbler-perl/libaudio-scrobbler-perl_0.01-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467661@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libaudio-scrobbler-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:39:00 +0100
Source: libaudio-scrobbler-perl
Binary: libaudio-scrobbler-perl
Architecture: source all
Version: 0.01-2.1
Distribution: unstable
Urgency: low
Maintainer: Michael Ablassmeier <abi@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libaudio-scrobbler-perl - perl interface to audioscrobbler.com/last.fm
Closes: 467661
Changes: 
 libaudio-scrobbler-perl (0.01-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove /usr/lib/perl5 (closes: #467661)
Files: 
 c5e05279bda320b7112a0c82425ef8d5 679 perl optional libaudio-scrobbler-perl_0.01-2.1.dsc
 3835fdf5000ab292a0bb34b4378e7abf 1887 perl optional libaudio-scrobbler-perl_0.01-2.1.diff.gz
 8273e6d5a32a47b629f3b7fa0bcdda10 15860 perl optional libaudio-scrobbler-perl_0.01-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92T/SYIMHOpZA44RAvxwAJ9//D/wI+0E9n2s0+WkIxtfBSesbQCbBSVI
MgPFaMRcIcYiEXNUXRHF2Ns=
=DEUW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:46:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:26:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.